> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the current user

> Get the current user

<sup>Required permissions: `user:read`</sup>



## OpenAPI

````yaml get /user/me
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /user/me:
    parameters: []
    get:
      tags:
        - User
      summary: Get the current user
      description: |-
        Get the current user

        <sup>Required permissions: `user:read`</sup>
      operationId: getMe
      parameters: []
      responses:
        '200':
          description: User resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User.UserMeResponse-UserMe'
            text/html:
              schema:
                $ref: '#/components/schemas/User.UserMeResponse-UserMe'
        '404':
          description: Resource not found
      deprecated: false
      security:
        - JWT:
            - user:read
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /user/me \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    User.UserMeResponse-UserMe:
      type: object
      description: ''
      deprecated: false
      properties:
        user:
          anyOf:
            - $ref: '#/components/schemas/User-UserMe'
            - $ref: '#/components/schemas/Customer-UserMe'
            - $ref: '#/components/schemas/AuthenticatedApiToken-UserMe'
        account:
          anyOf:
            - $ref: '#/components/schemas/Account-UserMe'
            - type: 'null'
        tenant:
          anyOf:
            - $ref: '#/components/schemas/Tenant-UserMe'
            - type: 'null'
        roles:
          example:
            - ROLE_USER
          type: array
          items:
            type: string
    User-UserMe:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: 01F9Z3ZJXZQZJZJZJZJZJZJZJZ
          type: string
        firstName:
          minLength: 2
          maxLength: 255
          readOnly: true
          description: The firstname of the user
          example: John
          type: string
        lastName:
          minLength: 2
          maxLength: 255
          readOnly: true
          description: The lastname of the user
          example: Doe
          type: string
        email:
          format: email
          externalDocs:
            url: https://schema.org/email
          type: string
      required:
        - firstName
        - lastName
        - email
    Customer-UserMe:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: 00000000-0000-0000-0000-000000000000
          type: string
        customerNumber:
          minLength: 2
          maxLength: 255
          example: CUSTOMER-000
          nullable: false
        timeZone:
          readOnly: true
          default: Europe/Berlin
          example: Europe/Berlin
          type: string
        firstName:
          minLength: 2
          maxLength: 255
          description: Can be empty if the customer is a company.
          example: John
          nullable: true
        lastName:
          minLength: 2
          maxLength: 255
          description: Can be empty if the customer is a company.
          example: Doe
          nullable: true
        currencyCode:
          description: >-
            Can be empty. In this case the default currency of the tenant is
            used.
          externalDocs:
            url: https://schema.org/priceCurrency
          example: EUR
          type: string
        countryCode:
          example: DE
          type: string
        companyName:
          minLength: 2
          maxLength: 255
          example: Acme Inc.
          type:
            - string
            - 'null'
        vatId:
          minLength: 2
          maxLength: 255
          example: DE123456789
          type:
            - string
            - 'null'
        isVatIdValid:
          readOnly: true
          description: >-
            Indicates if the VAT ID is valid. This is only available for EU VAT
            IDs. We validate the VAT IDs each night and directly after change.
          example: true
          type: boolean
        taxExempt:
          type: string
          enum:
            - auto
            - exempt
        datevId:
          minLength: 2
          maxLength: 255
          description: The ID of the customer in DATEV
          example: '123456789'
          type:
            - string
            - 'null'
        commercialRegisterName:
          description: >-
            The name of the commercial register. This is needed tofullfill the
            collection processes on companies.
          example: Amtsgericht Berlin (Charlottenburg)
          type:
            - string
            - 'null'
        commercialRegisterNumber:
          description: >-
            The ID of the customer in the commercial register, e.g. HRB 123456.
            This is needed tofullfill the collection processes on companies.
          example: HRB 123456
          type:
            - string
            - 'null'
        status:
          default: STATUS_ACTIVE
          example: STATUS_ACTIVE
          enum:
            - STATUS_ACTIVE
            - STATUS_ARCHIVED
            - STATUS_SUSPENDED
        gender:
          description: >-
            This field is needed, to fullfill a collection process on a personal
            customer.
          example: male
          enum:
            - male
            - female
            - diverse
        phone:
          minLength: 2
          maxLength: 255
          example: +49 123 456789
          type:
            - string
            - 'null'
        language:
          enum:
            - de
            - en
          description: >-
            The language of the customer. This is used for the communication
            with the customer or on generating documents like invoices,
            reminders, etc.
          default: de
          example: de
        totalTurnOverRank:
          readOnly: true
          description: >-
            The current customer rank, based on their revenue. Lower is better.
            This will calculate each night.
          example: 10
          type:
            - integer
            - 'null'
        createdAt:
          readOnly: true
          example: '2020-01-01T00:00:00+00:00'
          type: string
          format: date-time
        emailAddresses:
          type: array
          items:
            $ref: '#/components/schemas/CustomerEmail-UserMe'
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/CustomerAddress-UserMe'
        customerGroup:
          readOnly: true
          description: The customer group of the customer.
          anyOf:
            - $ref: '#/components/schemas/CustomerGroup-UserMe'
            - type: 'null'
        customFields:
          additionalProperties:
            type: string
          type:
            - object
            - 'null'
          example:
            field1: value1
            field2: value2
          description: >-
            Custom fields for the entity. The keys are the field names and the
            values are the field values. They need to be configured under
            \"/custom-fields\" in the API documentation. The input is validated
            against the configuration. For more details see [Custom Fields
            Guide](/guide/tenant/custom-fields)
        businessCustomer:
          readOnly: true
          type: boolean
        defaultAddress:
          readOnly: true
          description: >-
            The default address of the customer. This is the address that is
            used for billing if no other address is specified.
          anyOf:
            - $ref: '#/components/schemas/CustomerAddress-UserMe'
            - type: 'null'
        defaultInvoiceAddress:
          readOnly: true
          description: >-
            The invoice address of the customer. This is the address that is
            used for billing if defined. If not defined, the default address is
            used.
          anyOf:
            - $ref: '#/components/schemas/CustomerAddress-UserMe'
            - type: 'null'
        defaultEmailAddress:
          readOnly: true
          description: >-
            The default email address of the customer. This is the email address
            that is used for billing if no other email address is specified.
          anyOf:
            - $ref: '#/components/schemas/CustomerEmail-UserMe'
            - type: 'null'
        defaultInvoiceEmailAddress:
          readOnly: true
          description: >-
            The invoice email address of the customer. This is the email address
            that is used for billing if defined. If not defined, the default
            email address is used.
          anyOf:
            - $ref: '#/components/schemas/CustomerEmail-UserMe'
            - type: 'null'
        defaultPaymentMethod:
          readOnly: true
          description: >-
            The default payment method of the customer. This is the payment
            method that is used for billing.
          anyOf:
            - $ref: '#/components/schemas/PaymentMethod-UserMe'
            - type: 'null'
        contactPerson:
          readOnly: true
          description: The contact person of the customer.
          anyOf:
            - $ref: '#/components/schemas/ContactPerson-UserMe'
            - type: 'null'
        isPartner:
          readOnly: true
          description: Indicates if the customer is a partner.
          type: boolean
        partner:
          readOnly: true
          description: >-
            The partner of the customer. If a partner is assigned, all existing
            and future subscriptions of the customer will be billed to the
            default payment method and invoice address of the partner.
          anyOf:
            - $ref: '#/components/schemas/PartnerResource-UserMe'
            - type: 'null'
      required:
        - countryCode
    AuthenticatedApiToken-UserMe:
      type: object
      description: ''
      deprecated: false
    Account-UserMe:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: 01F9Z3ZJXZQZJZJZJZJZJZJZJZ
          type: string
    Tenant-UserMe:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: 01F9Z3ZJXZQZJZJZJZJZJZJZJZ
          type: string
        name:
          minLength: 2
          maxLength: 255
          description: The name of the tenant
          example: ACME
          type: string
        username:
          readOnly: true
          example: acme
          type: string
        legalCompanyName:
          example: Acme Inc.
          type: string
      required:
        - name
        - legalCompanyName
    CustomerEmail-UserMe:
      type: object
      description: ''
      deprecated: false
    CustomerAddress-UserMe:
      type: object
      description: ''
      deprecated: false
    CustomerGroup-UserMe:
      type: object
      description: ''
      deprecated: false
    PaymentMethod-UserMe:
      type: object
      description: ''
      deprecated: false
    ContactPerson-UserMe:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        email:
          type: string
        avatar:
          type:
            - string
            - 'null'
    PartnerResource-UserMe:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          description: The ID of the partner
          example: ad8f7e7d-3b3b-4b3b-8b3b-3b3b3b3b3b3b
          type: string
        name:
          description: The name of the partner
          example: John Doe
          type: string
        number:
          description: The customer number of the partner
          example: '123456'
          type: string
        email:
          description: The email address of the partner
          example: partner@example.com
          type:
            - string
            - 'null'
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````